commit:     abfa5347c25d4c90954d25799a402bb980ddc565
Author:     Christian Strahl <c.a.strahl <AT> gmail <DOT> com>
AuthorDate: Sat Apr 14 08:48:15 2018 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Aug  6 15:46:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abfa5347

dev-util/clion: version bump to 2018.2

Closes: https://bugs.gentoo.org/653952
Closes: https://bugs.gentoo.org/659070
Closes: https://github.com/gentoo/gentoo/pull/9356

Package-Manager: 2.3.40-r1, Repoman-2.3.9

 dev-util/clion/Manifest            |  1 +
 dev-util/clion/clion-2018.2.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-util/clion/Manifest b/dev-util/clion/Manifest
index dea3a001311..b2ee33de599 100644
--- a/dev-util/clion/Manifest
+++ b/dev-util/clion/Manifest
@@ -1,2 +1,3 @@
 DIST clion-2017.3.4.tar.gz 331195446 BLAKE2B 
5d868de5b1d97a80dd2d63977dfda8d3ab56840c95e4cdba5b8e55cf626dbd68e1015fd8dae664dbdf8161853a96a492ce43a78e0e6bd13138144d28e1146f78
 SHA512 
044e713e2ab3724b891b48a1d75936dce1580be0fded174101f768f6976f76f2557768128fd596cc8855c15f27dbd9a1e9d4299b947ad00ca458c537d81fd0b8
 DIST clion-2018.1.tar.gz 333789580 BLAKE2B 
026ebe63049f3b80c2924079092707379d07fa838b532b7e191ee5fbc66dfa50dbc97ad78cbafd6794f99bc29ce66f4d54882d0bbc1339e08a2f35bd5f195bc5
 SHA512 
ac95b5d346f077ab26882ff4c0f71420c6fcd0a929aa33c60b427d0a10839bec3a2e5363d8cd18d9e2d6988da17dd0deacd9fd3b3c5f0619c9925acf263f56bd
+DIST clion-2018.2.tar.gz 456219123 BLAKE2B 
1cb719596568b7208658f01c9495b2948490c2f27f9d3eec6bb652d65e60374232b286b6fc889510c88855cfdd890c516e268c783b1d3ae5e54c42fbd68c047e
 SHA512 
ce21c94e89c7966784a4ebe07c2324cf674187e67eb9362af9bcd6a299b1ef69f45c8b95f91db244db4a2a70e72d849a752741b2c9730477df35f09ab13ab807

diff --git a/dev-util/clion/clion-2018.2.ebuild 
b/dev-util/clion/clion-2018.2.ebuild
new file mode 100644
index 00000000000..803c11d46cf
--- /dev/null
+++ b/dev-util/clion/clion-2018.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop eutils
+
+DESCRIPTION="A complete toolset for C and C++ development"
+HOMEPAGE="http://www.jetbrains.com/clion";
+SRC_URI="http://download.jetbrains.com/cpp/CLion-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="IDEA
+       || ( IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# RDEPENDS may cause false positives in repoman.
+# clion requires cmake and gdb at runtime to build and debug C/C++ projects
+RDEPEND="
+       sys-devel/gdb
+       dev-util/cmake"
+
+QA_PREBUILT="opt/${P}/*"
+
+src_prepare() {
+       default
+
+       local remove_me=(
+               bin/gdb/linux
+               bin/lldb/linux
+               bin/cmake
+               license/CMake*
+               plugins/tfsIntegration/lib/native/hpux
+               plugins/tfsIntegration/lib/native/solaris
+       )
+
+       use amd64 || remove_me+=( 
plugins/tfsIntegration/lib/native/linux/x86_64 )
+       use arm || remove_me+=( bin/fsnotifier-arm 
plugins/tfsIntegration/lib/native/linux/arm )
+       use ppc || remove_me+=( plugins/tfsIntegration/lib/native/linux/ppc )
+       use x86 || remove_me+=( plugins/tfsIntegration/lib/native/linux/x86 )
+
+       rm -rv "${remove_me[@]}" || die
+}
+
+src_install() {
+       local dir="/opt/${P}"
+
+       insinto "${dir}"
+       doins -r *
+       fperms 755 
"${dir}"/bin/{clion.sh,fsnotifier{,64},clang/linux/clang{d,-tidy}}
+
+       make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+       newicon "bin/${PN}.svg" "${PN}.svg"
+       make_desktop_entry "${PN}" "clion" "${PN}" "Development;IDE;"
+
+       # recommended by: 
https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+       dodir /usr/lib/sysctl.d/
+       echo "fs.inotify.max_user_watches = 524288" > 
"${D}/usr/lib/sysctl.d/30-clion-inotify-watches.conf" || die
+}

Reply via email to